<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

    public function up(): void
    {
        Schema::table('listings', function (Blueprint $table) {

            $table->string('deal_status')->default('available')
                ->after('status');  //available,sold,rented


        });
    }


    public function down(): void
    {
        Schema::table('listings', function (Blueprint $table) {
            $table->dropColumn('deal_status');
        });
    }
};
